
From: Kumar Gala <galak@freescale.com>

Removed ppc32 architecture specific users of asm/segment.h and
asm-ppc/segment.h itself

Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                       |    1 -
 arch/ppc/kernel/temp.c         |    1 -
 arch/ppc/kernel/time.c         |    1 -
 arch/ppc/platforms/chrp_time.c |    1 -
 arch/ppc/syslib/prep_nvram.c   |    1 -
 5 files changed, 5 deletions(-)

diff -puN arch/ppc/kernel/temp.c~ppc32-remove-use-of-asm-segmenth arch/ppc/kernel/temp.c
--- devel/arch/ppc/kernel/temp.c~ppc32-remove-use-of-asm-segmenth	2005-09-11 02:01:44.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/temp.c	2005-09-11 02:01:44.000000000 -0700
@@ -21,7 +21,6 @@
 #include <linux/interrupt.h>
 #include <linux/init.h>
 
-#include <asm/segment.h>
 #include <asm/io.h>
 #include <asm/reg.h>
 #include <asm/nvram.h>
diff -puN arch/ppc/kernel/time.c~ppc32-remove-use-of-asm-segmenth arch/ppc/kernel/time.c
--- devel/arch/ppc/kernel/time.c~ppc32-remove-use-of-asm-segmenth	2005-09-11 02:01:44.000000000 -0700
+++ devel-akpm/arch/ppc/kernel/time.c	2005-09-11 02:01:44.000000000 -0700
@@ -58,7 +58,6 @@
 #include <linux/init.h>
 #include <linux/profile.h>
 
-#include <asm/segment.h>
 #include <asm/io.h>
 #include <asm/nvram.h>
 #include <asm/cache.h>
diff -puN arch/ppc/platforms/chrp_time.c~ppc32-remove-use-of-asm-segmenth arch/ppc/platforms/chrp_time.c
--- devel/arch/ppc/platforms/chrp_time.c~ppc32-remove-use-of-asm-segmenth	2005-09-11 02:01:44.000000000 -0700
+++ devel-akpm/arch/ppc/platforms/chrp_time.c	2005-09-11 02:01:44.000000000 -0700
@@ -22,7 +22,6 @@
 #include <linux/init.h>
 #include <linux/bcd.h>
 
-#include <asm/segment.h>
 #include <asm/io.h>
 #include <asm/nvram.h>
 #include <asm/prom.h>
diff -puN arch/ppc/syslib/prep_nvram.c~ppc32-remove-use-of-asm-segmenth arch/ppc/syslib/prep_nvram.c
--- devel/arch/ppc/syslib/prep_nvram.c~ppc32-remove-use-of-asm-segmenth	2005-09-11 02:01:44.000000000 -0700
+++ devel-akpm/arch/ppc/syslib/prep_nvram.c	2005-09-11 02:01:44.000000000 -0700
@@ -15,7 +15,6 @@
 #include <linux/ioport.h>
 
 #include <asm/sections.h>
-#include <asm/segment.h>
 #include <asm/io.h>
 #include <asm/machdep.h>
 #include <asm/prep_nvram.h>
diff -L include/asm-ppc/segment.h -puN include/asm-ppc/segment.h~ppc32-remove-use-of-asm-segmenth /dev/null
--- devel/include/asm-ppc/segment.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1 +0,0 @@
-#include <asm/uaccess.h>
_
